﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			book1.ItemsSource = Enumerable.Range(0, 10);
		}
	}

	public class LeftPageTemplateSelector : DataTemplateSelector
	{
		public DataTemplate BackCoverTemplate { get; set; }
		public DataTemplate InnerPageTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			RadBookItem page = container as RadBookItem;
			System.Windows.Controls.ItemsControl itemsControl = System.Windows.Controls.ItemsControl.ItemsControlFromItemContainer(container);
			if (page.Index == itemsControl.Items.Count - 1)
			{
				return BackCoverTemplate;
			}
			else
			{
				return InnerPageTemplate;
			}
		}
	}

	public class RightPageTemplateSelector : DataTemplateSelector
	{
		public DataTemplate FrontCoverTemplate { get; set; }
		public DataTemplate InnerPageTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			RadBookItem page = container as RadBookItem;
			if (page.Index == 0)
			{
				return FrontCoverTemplate;
			}
			else
			{
				return InnerPageTemplate;
			}
		}
	}
}
